Bug 1710446 - [RFE] Europe/Helsinki timezone not available in RHV.
Summary: [RFE] Europe/Helsinki timezone not available in RHV.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-4.4.4
: 4.4.4
Assignee: Arik
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-15 14:32 UTC by Shruti
Modified: 2021-02-02 13:58 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.4.4.1
Doc Type: Enhancement
Doc Text:
With this enhancement, the Europe/Helsinki timezone can now be set in virtual machines.
Clone Of:
Environment:
Last Closed: 2021-02-02 13:58:29 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)
timezone linux vm (12.39 KB, image/png)
2020-11-26 14:46 UTC, Beni Pelled
no flags Details
timezone windows vm (18.77 KB, image/png)
2020-11-26 14:47 UTC, Beni Pelled
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:0312 0 None None None 2021-02-02 13:58:44 UTC
oVirt gerrit 112242 0 master MERGED core: use timezone Europe/Helsinki 2021-02-02 16:34:17 UTC

Description Shruti 2019-05-15 14:32:38 UTC
Description of problem:

Europe/Helsinki timezone is not available in RHV causing inconvenience for installations in Finland.

Expected results:

Europe/Helsinki timezone be included.

https://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=blob;f=backend/manager/modules/common/src/main/java/org/ovirt/engine/core/common/TimeZoneType.java
Additional info:

Comment 3 Ryan Barry 2020-04-29 12:57:09 UTC
This is plausible once we have a patch

Comment 6 Beni Pelled 2020-11-26 14:45:58 UTC
Verified with:
- ovirt-engine-4.4.4.1-0.1.el8ev.noarch
- libvirt-6.6.0-7.module+el8.3.0+8424+5ea525c5.x86_64
- vdsm-4.40.37-1.el8ev.x86_64

Verification steps:
1. Create a Linux VM (EL8.2) from a sealed template and run it with FLE as TZ (cloud-init)
2. Create a Windows VM (win10) from a sealed template and run it with FLE as TZ (sysprep)

Result:
- Linux VM configured with 'Europe/Helsinki'
- Windows VM configured with '(UTC+02:00) Helsinki, Kyiv, Riga, Sofia, Tallinn, Vilnius'

Comment 7 Beni Pelled 2020-11-26 14:46:51 UTC
Created attachment 1733772 [details]
timezone linux vm

Comment 8 Beni Pelled 2020-11-26 14:47:14 UTC
Created attachment 1733773 [details]
timezone windows vm

Comment 16 errata-xmlrpc 2021-02-02 13:58:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (RHV Engine and Host Common Packages 4.4.z [ovirt-4.4.4]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0312


Note You need to log in before you can comment on or make changes to this bug.